package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Adv2Repository;
import com.realnet.basicp1.Entity.Adv2
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






import com.realnet.basicp1.Entity.Testlist;
import com.realnet.basicp1.Services.TestlistService;





import com.realnet.basicp1.Entity.Testlist;
import com.realnet.basicp1.Services.TestlistService;





	import org.springframework.stereotype.Service;

@Service
 public class Adv2Service {
@Autowired
private Adv2Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





@Autowired
	private TestlistService selectdyaserv;



@Autowired
	private TestlistService selectautoserv;



public Adv2 Savedata(Adv2 data) {







 
if (data.getSelectdya() != null) {
			Testlist get =  selectdyaserv.getdetailsbyId(data.getSelectdya());
			data.setSelectdyaname(get.getName());

		}

 





 
if (data.getSelectauto() != null) {
			Testlist get =  selectautoserv.getdetailsbyId(data.getSelectauto());
			data.setSelectautotypename(get.getName());

		}

 




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Adv2 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Adv2> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Adv2> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Adv2> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Adv2 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Adv2 update(Adv2 data,Integer id) {
	Adv2 old = Repository.findById(id).get();
old.setNames(data.getNames());

old.setSelectsta(data.getSelectsta());

old.setSelectstamul(data.getSelectstamul());

old.setSelectdya(data.getSelectdya());

old.setSelectdyamul(data.getSelectdyamul());

old.setSelectauto(data.getSelectauto());

old.setSelectautomul(data.getSelectautomul());

final Adv2 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 














 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
